Loading...
Searching...
No Matches
blackoildarcyfluxmodule.hh File Reference

This file contains the default flux module of the blackoil model. More...

`#include <opm/models/blackoil/blackoilproperties.hh>`
`#include <opm/models/common/darcyfluxmodule.hh>`
`#include <opm/models/utils/propertysystem.hh>`

Go to the source code of this file.

## Classes

struct | Opm::BlackOilDarcyFluxModule< TypeTag >
| Provides a Darcy flux module for the blackoil model. More...
class | Opm::BlackOilDarcyExtensiveQuantities< TypeTag >
| Specifies the extensive quantities for the black-oil model if using Darcy relation. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

This file contains the default flux module of the blackoil model.

It is neccessary to accomodate the extensions of the black-oil model.